Bug 212130 - cad/kicad-devel: no layers displayed in Pcbnew print dialog
Summary: cad/kicad-devel: no layers displayed in Pcbnew print dialog
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Reifenberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-25 05:23 UTC by Wayne Sierke
Modified: 2016-09-18 13:45 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mr)


Attachments
Pcbnew Print dialog screencap (49.57 KB, image/png)
2016-08-25 05:23 UTC, Wayne Sierke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wayne Sierke 2016-08-25 05:23:24 UTC
Created attachment 174043 [details]
Pcbnew Print dialog screencap

The Pcbnew print dialog features an area for selecting which layers to include in the print - "Copper Layers" and "Technical Layers". However both of those regions in the dialog are blank.

Clicking "Preview" results in a pop-up error message "No layer selected". Clicking "Print" does in fact proceed to the system print dialog.
Comment 1 commit-hook freebsd_committer 2016-09-13 11:27:17 UTC
A commit references this bug:

Author: mr
Date: Tue Sep 13 11:26:27 UTC 2016
New revision: 421993
URL: https://svnweb.freebsd.org/changeset/ports/421993

Log:
  kicad switched to GIT (still hosted on launchpad) for development.
  Try to cope with it since bzr doesn't work any longer:
  - For distfile building, checkout first, than get last commit date...
  - Use the timestamp of the last commit as revision number.
  - Update to r20160910202359 (commit 7ad2f37391e3e0debb7b96cd7164961d118f44c1)
  - Some functions now seem to need/emit SSE instructions which seems not to be enabled on i386 by default so add -msse switch

  PR:		212026, 212130

Changes:
  head/cad/kicad-devel/Makefile
  head/cad/kicad-devel/Makefile.bzr_rev
  head/cad/kicad-devel/Makefile.git_rev
  head/cad/kicad-devel/distinfo
  head/cad/kicad-devel/pkg-plist
Comment 2 Michael Reifenberger freebsd_committer 2016-09-13 13:11:37 UTC
Hi,
could you please re-test after the update?

Thanks!

---
mike
Comment 3 Wayne Sierke 2016-09-18 13:45:36 UTC
(In reply to Michael Reifenberger from comment #2)

Thanks for the update. When I open the print dialog in pcbnew the layer selection panels are now populated with the lists of layers.

This seems to be fixed and this PR can be closed. Thanks!